Summary: cdrecord-ProDVD
Name: cdrecord-prodvd
Version: 2.01a27
Release: 2
License: non-free
Vendor: Jrg Schilling <schilling@fokus.fhg.de>
Group: Applications/Text
Source0: cdrecord-prodvd-%{version}-i686-pc-linux-gnu
Source1: README.ProDVD
URL: ftp://ftp.berlios.de/pub/cdrecord/ProDVD
BuildArch: i686
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: cdrecord = %{version}

%description
Binary only cdrecord distribution with DVD-R/DVD-RW and DVD+R/DVD+RW support.

%prep
%setup -T -c
cp %{SOURCE0} %{SOURCE1} .

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{SOURCE0} %{buildroot}%{_bindir}/cdrecord-prodvd
ln -sf cdrecord-prodvd %{buildroot}%{_bindir}/cdrecord-ProDVD
install -m 0755 %{SOURCE1} %{buildroot}%{_bindir}/readcd-clone

mkdir -p %{buildroot}/etc/profile.d

cat > %{buildroot}/etc/prodvd.license << _EOF_
# cdrecord-ProDVD license file
#
# Put your license here if you do not use cdrecord-ProDVD in
# private/research/educational/non-commercial environment
#
#	Key Expires ---> 2004 Aug 20 13:06:40
#
CDR_SECURITY=8:dvd,clone:sparc-sun-solaris2,i386-pc-solaris2,i586-pc-linux,powerpc-apple,hppa,powerpc-ibm-aix,i386-unknown-freebsd,i386-unknown-openbsd,i386-unknown-netbsd,powerpc-apple-netbsd,i386-pc-bsdi,mips-sgi-irix,i386-pc-sco:1.11::1093000000:::private/research/educational_non-commercial_use:9vl2T2kP6w6O4h.bXuet8hP1Z3H5erm3qWmxhbcr.fHvuN8ZJbhQUWBzjAc
_EOF_

cat > %{buildroot}/etc/profile.d/prodvd.sh << _EOF_
. /etc/prodvd.license
export CDR_SECURITY
_EOF_

cat > %{buildroot}/etc/profile.d/prodvd.csh << _EOF_
eval \`egrep 'CDR_SECURITY=.*' /etc/prodvd.license | sed 's/\(CDR_SECURITY\)=\(.*\)/setenv \1 \2/'\`
_EOF_

%clean
rm -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc README*
%attr(0755, root, root) %{_bindir}/*
%config /etc/prodvd.license
%attr(0755, root, root) %config /etc/profile.d/*
